## org.metaabm.function.impl
Class FArgumentPrototypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.function.impl.FArgumentPrototypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FArgumentPrototype, IID, ITyped, SNamed

Direct Known Subclasses:
  FArgumentArrayPrototypeImpl, FMultiArgumentPrototypeImpl

    public class FArgumentPrototypeImpl

extends IIDImpl
implements FArgumentPrototype

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`boolean` `accepts(IValue value)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetInputFunction(FFunction newInputFunction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetOutputFunction(FGenericFunction newOutputFunction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDescription()`
`FFunction` `getInputFunction()`
`FGenericFunction` `getOutputFunction()`
`java.lang.String` `getPluralLabel()`
`SAttributeType` `getSType()`
`boolean` `isOptional()`
`void` `setDescription(java.lang.String newDescription)`
`void` `setInputFunction(FFunction newInputFunction)`
`void` `setOptional(boolean newOptional)`
`void` `setOutputFunction(FGenericFunction newOutputFunction)`
`void` `setPluralLabel(java.lang.String newPluralLabel)`
`void` `setSType(SAttributeType newSType)`
`java.lang.String` `toString()`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, references, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SNamed
`references`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getSType

    public SAttributeType getSType()

  Specified by:
    `getSType` in interface `ITyped`
  Returns:
    the value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.setSType(SAttributeType)`, `MetaABMPackage.getITyped_SType()`

### setSType

    public void setSType(SAttributeType newSType)

  Specified by:
    `setSType` in interface `ITyped`
  Parameters:
    `newSType` - the new value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.getSType()`

### getPluralLabel

    public java.lang.String getPluralLabel()

  Specified by:
    `getPluralLabel` in interface `SNamed`
  Returns:
    the value of the 'Plural Label' attribute.
  See Also:
    `SNamed.setPluralLabel(String)`, `MetaABMPackage.getSNamed_PluralLabel()`

### setPluralLabel

    public void setPluralLabel(java.lang.String newPluralLabel)

  Specified by:
    `setPluralLabel` in interface `SNamed`
  Parameters:
    `newPluralLabel` - the new value of the 'Plural Label' attribute.
  See Also:
    `SNamed.getPluralLabel()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SNamed`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SNamed.setDescription(String)`, `MetaABMPackage.getSNamed_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `SNamed`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `SNamed.getDescription()`

### getInputFunction

    public FFunction getInputFunction()

  Specified by:
    `getInputFunction` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Input Function' container reference.
  See Also:
    `FArgumentPrototype.setInputFunction(FFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_InputFunction()`, `FFunction.getInputPrototypes()`

### basicSetInputFunction

    public org.eclipse.emf.common.notify.NotificationChain basicSetInputFunction(FFunction newInputFunction,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setInputFunction

    public void setInputFunction(FFunction newInputFunction)

  Specified by:
    `setInputFunction` in interface `FArgumentPrototype`
  Parameters:
    `newInputFunction` - the new value of the 'Input Function' container reference.
  See Also:
    `FArgumentPrototype.getInputFunction()`

### getOutputFunction

    public FGenericFunction getOutputFunction()

  Specified by:
    `getOutputFunction` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Output Function' container reference.
  See Also:
    `FArgumentPrototype.setOutputFunction(FGenericFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_OutputFunction()`, `FGenericFunction.getOutputPrototypes()`

### basicSetOutputFunction

    public org.eclipse.emf.common.notify.NotificationChain basicSetOutputFunction(FGenericFunction newOutputFunction,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutputFunction

    public void setOutputFunction(FGenericFunction newOutputFunction)

  Specified by:
    `setOutputFunction` in interface `FArgumentPrototype`
  Parameters:
    `newOutputFunction` - the new value of the 'Output Function' container reference.
  See Also:
    `FArgumentPrototype.getOutputFunction()`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `FArgumentPrototype.setOptional(boolean)`, `MetaABMFunctionPackage.getFArgumentPrototype_Optional()`

### setOptional

    public void setOptional(boolean newOptional)

  Specified by:
    `setOptional` in interface `FArgumentPrototype`
  Parameters:
    `newOptional` - the new value of the 'Optional' attribute.
  See Also:
    `FArgumentPrototype.isOptional()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `IIDImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `IIDImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `IIDImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `IIDImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IIDImpl`

### accepts

    public boolean accepts(IValue value)

  Specified by:
    `accepts` in interface `FArgumentPrototype`